# coding: utf-8

# 2016-11-19 programmeerimisvõistlus
# Ülesanne: VANAISA LOTOMÄNGUD (gümnaasiumi variant)
# Autor: Ahto Truu

# Efektiivne lahendus O(N) ajaga

sis = open('lotogsis.txt', 'rt')
val = open('lotogval.txt', 'wt')

n = int(sis.readline().strip())
a = []
for i in range(n):
	pv = sis.readline().strip().split()
	# arvutame kohe välja päeva kaotuse
	a.append(int(pv[0]) - int(pv[1]))

# esimene alamülesanne: kogusumma
s = sum(a)
if s < 0:
	val.write('PLUSSIS\n')
if s == 0:
	val.write('NULLIS\n')
if s > 0:
	val.write('MIINUSES\n')

# teine alamülesanne: suurima kaotuse päev
p, m = 0, 0
for i in range(n):
	if a[i] > m:
		p, m = i, a[i]
val.write('{0} {1}\n'.format(p + 1, m))

# kolmas alamülesanne: suurima kaotuse periood
# selle leiame "libiseva akna" meetodil
# kokku kulub suurusjärgus N operatsiooni
p1, p2, mm = 0, 0, 0
i1, ss = 0, 0
for i2 in range(n):
	# lisame jooksva elemendi "aknasse"
	ss = ss + a[i2]
	if ss > mm:
		# kui "aken" on parem kui senine maksimum, jätame meelde
		p1, p2, mm = i1, i2, ss
	if ss < 0:
		# kui "aken" kokku on vale märgiga, unustame selle ja
		# alustame uut akent nullist
		i1, ss = i2 + 1, 0
val.write('{0} {1} {2}\n'.format(p1 + 1, p2 + 1, mm))
