#include<fstream>
using namespace std;

long solve(long N, long V, long long T, long K) {
    long n = N % K;
    long v = V % K;
    for (long long t = 0; t < T; t++) {
        long n_next = v;
        long v_next = (n + v) % K;
        n = n_next; v = v_next;
    }
    return (n + v) % K;
}

int main() {
    ifstream in("baksis.txt");
    ofstream out("bakval.txt");
    long N, V, K;
    long long T;
    in >> N >> V >> T >> K;
    out << solve(N, V, T, K) << endl;
    return 0;
}
