// 2016-11-19 programmeerimisvõistlus
// Ülesanne: VANAISA LOTOMÄNGUD
// Autor: Ahto Truu

// Laiendatud lahendus, väljastab lisaks infot testide kohta

#include <iostream>
#include <fstream>
#include <vector>
using namespace std;

ifstream sis("lotopsis.txt");
ofstream val("lotopval.txt");

int main() {
	int n;
	sis >> n;
	vector<int> a(n);
	bool x = false;
	for (int i = 0; i < n; ++i) {
		int p, v;
		sis >> p >> v;
		// arvutame kohe välja päeva kaotuse
		a[i] = p - v;
		x |= (a[i] > 0);
	}
	if (!x) cerr << "Pole ühtki kaotusepäeva!\n";

	// esimene alamülesanne: kogusumma
	int s = 0;
	for (int i = 0; i < n; ++i) {
		s += a[i];
	}
	if (s < 0) {
		val << "PLUSSIS\n";
		cerr << "PLUSSIS\n";
	}
	if (s == 0) {
		val << "NULLIS\n";
		cerr << "NULLIS\n";
	}
	if (s > 0) {
		val << "MIINUSES\n";
		cerr << "MIINUSES\n";
	}

	// teine alamülesanne: suurima kaotuse päev
	int p = 0, m = 0;
	for (int i = 0; i < n; ++i) {
		if (a[i] > m) {
			p = i; m = a[i];
			x = false;
		} else if (a[i] == m) {
			x = true;
		}
	}
	val << p + 1 << " " << m << "\n";
	cerr << p + 1 << " " << m << ", " << (x ? "pole" : "on") << " unikaalne\n";

	// kolmas alamülesanne: suurima kaotuse periood
	// selle leiame "libiseva akna" meetodil
	// kokku kulub suurusjärgus N operatsiooni
	int p1 = 0, p2 = 0, mm = 0; // seni halvim periood
	int i1 = 0, ss = 0; // jooksev periood ehk "aken"
	for (int i2 = 0; i2 < n; ++i2) {
		// lisame jooksva elemendi "aknasse"
		ss += a[i2];
		if (ss > mm) {
			// kui "aken" on parem kui senine maksimum, jätame meelde
			p1 = i1; p2 = i2; mm = ss;
			x = false;
		} else if (ss == mm) {
			x = true;
		} else if (ss < 0) {
			// kui "aken" kokku on vale märgiga, unustame selle ja
			// alustame uut akent nullist
			i1 = i2 + 1; ss = 0;
		}
	}
	val << p1 + 1 << " " << p2 + 1 << " " << mm << "\n";
	cerr << p1 + 1 << " " << p2 + 1 << " " << mm << ", " << (x ? "pole" : "on") << " unikaalne\n";

	return 0;
}
